Package com.independentsoft.office.odf.styles

# Class RadialGradient

java.lang.Object
com.independentsoft.office.odf.styles.RadialGradient

public class RadialGradient extends Object
Represents the radial gradient.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadialGradient()`
  Initializes a new instance of the RadialGradient class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadialGradient`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `Size`
  `getCenterX()`
  Gets the center of the geometry that is used for a gradient.
  `Size`
  `getCenterY()`
  Gets the center of the geometry that is used for a gradient.
  `String`
  `getDisplayName()`
  Gets the name of a gradient.
  `Size`
  `getFocalX()`
  Gets the focal x.
  `Size`
  `getFocalY()`
  Gets the focal y.
  `String`
  `getGradientTransform()`
  Gets the definition of an optional additional transformation from the gradient coordinate system onto the target coordinate system.
  `String`
  `getGradientUnits()`
  Gets the coordinate system.
  `String`
  `getName()`
  Gets the name by which a gradient can be referenced.
  `Size`
  `getRadius()`
  Gets the radius that is used for a radial gradient.
  `SpreadMethod`
  `getSpreadMethod()`
  Specifies what happens if the gradient starts or ends inside the bounds of the target rectangle.
  `List<SvgStop>`
  `getStops()`
  Contains a collection of SvgStop objects.
  `void`
  `setCenterX​(Size centerX)`
  Sets the center of the geometry that is used for a gradient.
  `void`
  `setCenterY​(Size centerY)`
  Sets the center of the geometry that is used for a gradient.
  `void`
  `setDisplayName​(String displayName)`
  Sets the name of a gradient.
  `void`
  `setFocalX​(Size focalX)`
  Sets the focal x.
  `void`
  `setFocalY​(Size focalY)`
  Sets the focal y.
  `void`
  `setGradientTransform​(String gradientTransform)`
  Sets the definition of an optional additional transformation from the gradient coordinate system onto the target coordinate system.
  `void`
  `setGradientUnits​(String gradientUnits)`
  Sets the coordinate system.
  `void`
  `setName​(String name)`
  Sets the name by which a gradient can be referenced.
  `void`
  `setRadius​(Size centerY)`
  Sets the radius that is used for a radial gradient.
  `void`
  `setSpreadMethod​(SpreadMethod spreadMethod)`
  Specifies what happens if the gradient starts or ends inside the bounds of the target rectangle.
  `String`
  `toString()`
  Converts the value of the current RadialGradient object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RadialGradient

    public RadialGradient()
    Initializes a new instance of the RadialGradient class.

- ## Method Details

  - ### clone

    public RadialGradient clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current RadialGradient object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name by which a gradient can be referenced.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name by which a gradient can be referenced.
    Parameters:
      `name` - the new name

  - ### getDisplayName

    public String getDisplayName()
    Gets the name of a gradient.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the name of a gradient.
    Parameters:
      `displayName` - the new display name

  - ### getCenterX

    public Size getCenterX()
    Gets the center of the geometry that is used for a gradient.
    Returns:
      the center x

  - ### setCenterX

    public void setCenterX​(Size centerX)
    Sets the center of the geometry that is used for a gradient.
    Parameters:
      `centerX` - the new center x

  - ### getCenterY

    public Size getCenterY()
    Gets the center of the geometry that is used for a gradient.
    Returns:
      the center y

  - ### setCenterY

    public void setCenterY​(Size centerY)
    Sets the center of the geometry that is used for a gradient.
    Parameters:
      `centerY` - the new center y

  - ### getFocalX

    public Size getFocalX()
    Gets the focal x.
    Returns:
      the focal x

  - ### setFocalX

    public void setFocalX​(Size focalX)
    Sets the focal x.
    Parameters:
      `focalX` - the new focal x

  - ### getFocalY

    public Size getFocalY()
    Gets the focal y.
    Returns:
      the focal y

  - ### setFocalY

    public void setFocalY​(Size focalY)
    Sets the focal y.
    Parameters:
      `focalY` - the new focal y

  - ### getRadius

    public Size getRadius()
    Gets the radius that is used for a radial gradient.
    Returns:
      the radius

  - ### setRadius

    public void setRadius​(Size centerY)
    Sets the radius that is used for a radial gradient.
    Parameters:
      `centerY` - the new radius

  - ### getStops

    public List<SvgStop> getStops()
    Contains a collection of SvgStop objects.
    Returns:
      the stops

  - ### getGradientUnits

    public String getGradientUnits()
    Gets the coordinate system.
    Returns:
      the gradient units

  - ### setGradientUnits

    public void setGradientUnits​(String gradientUnits)
    Sets the coordinate system.
    Parameters:
      `gradientUnits` - the new gradient units

  - ### getGradientTransform

    public String getGradientTransform()
    Gets the definition of an optional additional transformation from the gradient coordinate system onto the target coordinate system.
    Returns:
      the gradient transform

  - ### setGradientTransform

    public void setGradientTransform​(String gradientTransform)
    Sets the definition of an optional additional transformation from the gradient coordinate system onto the target coordinate system.
    Parameters:
      `gradientTransform` - the new gradient transform

  - ### getSpreadMethod

    public SpreadMethod getSpreadMethod()
    Specifies what happens if the gradient starts or ends inside the bounds of the target rectangle.
    Returns:
      the spread method

  - ### setSpreadMethod

    public void setSpreadMethod​(SpreadMethod spreadMethod)
    Specifies what happens if the gradient starts or ends inside the bounds of the target rectangle.
    Parameters:
      `spreadMethod` - the new spread method